2 Replies Latest reply on May 13, 2015 9:13 PM by JaymeHalbritter

    I need Lightroom 5!  (Help!)  :^)

    JaymeHalbritter

      I just got a Nikon d750, and my LR3 will not work with it.  I have an older mac, and I have 10.6.8 on it, and it was advised that I only can upgrade to 10.7. Lightroom 6 does not work on 10.7, so I need to get LR5, which apparently will work with my d750.  Adobe is telling me they are no longer selling 5 and there's no way to get it.  I really don't want to pay the full price for 5 online as I feel that I should be able to get the upgrade price. So, does anyone have any ideas?  Anyone have LR 5 they want to sell me?  Help!  Thanks.  :^)